Package org.apache.aries.jax.rs.whiteboard.internal.cxf

## Class ComparableResourceComparator

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.cxf.ComparableResourceComparator

All Implemented Interfaces:
  `org.apache.cxf.jaxrs.ext.ResourceComparator`

    public class ComparableResourceComparator
    extends Object
    implements org.apache.cxf.jaxrs.ext.ResourceComparator

### Constructor Summary

Constructors
`ComparableResourceComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(org.apache.cxf.jaxrs.model.ClassResourceInfo cri1, org.apache.cxf.jaxrs.model.ClassResourceInfo cri2, org.apache.cxf.message.Message message)`
`int` `compare​(org.apache.cxf.jaxrs.model.OperationResourceInfo oper1, org.apache.cxf.jaxrs.model.OperationResourceInfo oper2, org.apache.cxf.message.Message message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComparableResourceComparator

    public ComparableResourceComparator()

### Method Detail

#### compare

    public int compare​(org.apache.cxf.jaxrs.model.ClassResourceInfo cri1,
                       org.apache.cxf.jaxrs.model.ClassResourceInfo cri2,
                       org.apache.cxf.message.Message message)

Specified by:
  `compare` in interface `org.apache.cxf.jaxrs.ext.ResourceComparator`

#### compare

    public int compare​(org.apache.cxf.jaxrs.model.OperationResourceInfo oper1,
                       org.apache.cxf.jaxrs.model.OperationResourceInfo oper2,
                       org.apache.cxf.message.Message message)

Specified by:
  `compare` in interface `org.apache.cxf.jaxrs.ext.ResourceComparator`